<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.xslf.usermodel.XSLFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.xslf.usermodel.XSLFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
               title="class in org.apache.poi.xslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xslf/usermodel/class-use/XSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.xslf.usermodel.XSLFShape" class="title">Uses of Class<br>org.apache.poi.xslf.usermodel.XSLFShape
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                        title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.model">org.apache.poi.xslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xslf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFShape</a> in <a
                            href="../../../../../../org/apache/poi/xslf/model/package-summary.html">org.apache.poi.xslf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/model/package-summary.html">org.apache.poi.xslf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>abstract boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertyFetcher.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/model/PropertyFetcher.html#fetch-org.apache.poi.xslf.usermodel.XSLFShape-">fetch</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">ParagraphPropertyFetcher.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/model/ParagraphPropertyFetcher.html#fetch-org.apache.poi.xslf.usermodel.XSLFShape-">fetch</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">TextBodyPropertyFetcher.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/model/TextBodyPropertyFetcher.html#fetch-org.apache.poi.xslf.usermodel.XSLFShape-">fetch</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                   title="class in org.apache.poi.xslf.usermodel">XSLFShape</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a> in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a></span></code>
                                <div class="block">Represents a shape with a preset geometry.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFBackground</a></span></code>
                                <div class="block">Background shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFConnectorShape</a></span></code>
                                <div class="block">Specifies a connection shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a></span></code>
                                <div class="block">Represents a custom geometric shape.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a></span></code>
                                <div class="block">Represents a group shape that consists of many shapes grouped
                                    together.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></span></code>
                                <div class="block">Represents a picture shape</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShadow</a></span></code>
                                <div class="block">Represents a shadow of a shape.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></span></code>
                                <div class="block">Represents a single (non-group) shape in a .pptx slide show</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTable</a></span></code>
                                <div class="block">Represents a table in a .pptx presentation</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a></span></code>
                                <div class="block">Represents a cell of a table in a .pptx presentation</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></span></code>
                                <div class="block">Represents a shape that can hold text.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#buildShapes-org.openxmlformats.schemas.presentationml.x2006.main.CTGroupShape-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">buildShapes</a></span>(org.openxmlformats.schemas.presentationml.x2006.main.CTGroupShape&nbsp;spTree,
                                <a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html"
                                   title="interface in org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>&nbsp;parent)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XMLSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XMLSlideShow.html#createMasterSheet--">createMasterSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFNotesMaster.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFNotesMaster.html#getMasterSheet--">getMasterSheet</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#getShapes--">getShapes</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#getShapes--">getShapes</a></span>()</code>
                                <div class="block">Returns an array containing all of the shapes in this sheet</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#iterator--">iterator</a></span>()</code>
                                <div class="block">Returns an iterator over the shapes in this sheet</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.Iterator&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#iterator--">iterator</a></span>()</code>
                                <div class="block">Returns an iterator over the shapes in this sheet</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#addShape-org.apache.poi.xslf.usermodel.XSLFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#addShape-org.apache.poi.xslf.usermodel.XSLFShape-">addShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;shape)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#removeShape-org.apache.poi.xslf.usermodel.XSLFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;xShape)</code>
                                <div class="block">Remove the specified shape from this group</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#removeShape-org.apache.poi.xslf.usermodel.XSLFShape-">removeShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>&nbsp;xShape)</code>
                                <div class="block">Removes the specified shape from this sheet, if it is present
                                    (optional operation).
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Method parameters in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with type arguments of type <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFHyperlink.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFHyperlink.html#linkToSlide-org.apache.poi.sl.usermodel.Slide-">linkToSlide</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                    title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;&nbsp;slide)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                    title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;&nbsp;notes)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
               title="class in org.apache.poi.xslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xslf/usermodel/class-use/XSLFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
